unit VLFSplashScreen;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TSplashScreen = class(TForm)
    Panel1: TPanel;
    Image1: TImage;
    ProgressLabel: TLabel;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure EnvLoadPlugin(Sender: TObject; DLLName: string);
  end;

var
  SplashScreen: TSplashScreen;

implementation

uses Tahoma;

{$R *.DFM}

procedure TSplashScreen.EnvLoadPlugin(Sender: TObject; DLLName: string);
begin
  if DLLName <> '' then
    ProgressLabel.Caption := 'Načítám ' + DLLName + '...'
  else
    ProgressLabel.Caption := 'Připravuji prostředí aplikace...';
  ProgressLabel.Left := (ClientWidth - ProgressLabel.Width) div 2;
  Repaint;
end;

procedure TSplashScreen.FormCreate(Sender: TObject);
begin
  TahomizeForm(Self);
end;

end.
